<template>
    <div class="uk-flex uk-flex-center">
        <p uk-margin>
            <button
                class="uk-button uk-button-secondary"
                @click="envoyerDifficulte"
            >
                Signaler difficulté
            </button>
        </p>
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import Axios from '@/auth/axiosAuth';
import UIkit from 'uikit';
import { Prop } from 'vue-property-decorator';

@Component
export default class ActionsEleve extends Vue {
    @Prop() probleme: Record<string, any>;

    public envoyerDifficulte() {
        const data = new FormData();
        data.append('eleveId', this.$auth.user.id);
        data.append('problemeId', this.probleme.id);
        Axios.post(
            'nouveauprobleme/difficulte',
            () => {
                UIkit.notification(
                    "<span uk-icon='icon: check'></span> Votre professeur a été prévenu",
                    'success'
                );
            },
            data
        );
    }
}
</script>
<style scoped lang="scss">
.uk-button {
    margin-right: 5px;
    &:last-child {
        margin-right: 0;
    }
}
</style>
